<?php
/*
    Filename: web.php
    Created Date: 2022-12-30(Fri)
    Author: Doyoon Jung (rabbitsun2@gmail.com)
    Description: 
    1. 초기 생성, 2022-12-30, Doyoon.

*/

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\MainController;
use App\Http\Controllers\BoardController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/', [MainController::class, 'index'])->name('default');
Route::post('/add', [MainController::class, 'add'])->name('add');
Route::get('/captcha', [MainController::class, 'captcha'])->name('captcha');
Route::get('/board/{boardname}/list', [BoardController::class, 'list']);
Route::get('/board/{boardname}/list/{page}', [BoardController::class, 'list']);
Route::get('/board/{boardname}/view/{b_id}', [BoardController::class, 'view']);
Route::get('/board/{boardname}/write', [BoardController::class, 'write'])->name('write');
Route::post('/board/{boardname}/write', [BoardController::class, 'write_ok']);